%define module rsa
%define subrel 1

Name:           python-%module
Version:        3.1.4
Release:        %mkrel 6
Summary:        Pure-Python RSA implementation
License:        ASLv2
Group:          Development/Python
URL:            http://stuvel.eu/rsa 
Source0:        https://pypi.python.org/packages/source/r/%{module}/%{module}-%{version}.tar.gz
Patch0:         CVE-2016-1494.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
Pure-Python RSA implementation.

%package -n python3-%module
Summary:        Pure-Python RSA implementation
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%module
Pure-Python RSA implementation.

%files
%_bindir/pyrsa-*
%{python_sitelib}/%{module}*

%files -n python3-%module
%_bindir/python3-pyrsa*
%{python3_sitelib}/%{module}*

#--------------------------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

cp -a . %{py3dir} 

%build
pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

CFLAGS="%{optflags}" %{__python} setup.py build

%install
pushd %{py3dir}
%{__python3} setup.py install --root $RPM_BUILD_ROOT --skip-build
  for B in %{buildroot}%{_bindir}/pyrsa-*
  do mv $B $(echo $B |sed 's/pyrsa-/python3-pyrsa/'); done
popd

%{__python} setup.py install --root $RPM_BUILD_ROOT --skip-build



%changelog
* Tue Jan 05 2016 daviddavid <daviddavid> 3.1.4-6.1.mga5
+ Revision: 919883
- add upstream patch to fix CVE-2016-1494 (mga#17451)
  * https://bitbucket.org/FiloSottile/python-rsa/commits/0cbcc529926afd61c6df4f50cfc29971beafd2c2/raw/
- provide python 3 version of executables

* Wed Oct 15 2014 umeabot <umeabot> 3.1.4-6.mga5
+ Revision: 742017
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.1.4-5.mga5
+ Revision: 729675
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.1.4-4.mga5
+ Revision: 688313
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.1.4-3.mga5
+ Revision: 628995
- Rebuild for new Python

* Tue Apr 01 2014 philippem <philippem> 3.1.4-2.mga5
+ Revision: 611225
- add Python3 modules

* Tue Apr 01 2014 kharec <kharec> 3.1.4-1.mga5
+ Revision: 611033
- version 3.1.4

* Tue Oct 22 2013 umeabot <umeabot> 3.1.1-3.mga4
+ Revision: 544142
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.1.1-2.mga4
+ Revision: 499318
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 01 2013 neoclust <neoclust> 3.1.1-1.mga4
+ Revision: 462079
- imported package python-rsa

